From ff002964ecd2a8e1868e7273964af093e9684c4a Mon Sep 17 00:00:00 2001
From: Tobias Jakobi <liquid.acid@gmx.net>
Date: Sun, 19 Apr 2009 17:31:21 +0200
Subject: [wined3d] force constant reload for NP2 fixup in shader_arb_select

---
 dlls/wined3d/arb_program_shader.c |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

diff --git a/dlls/wined3d/arb_program_shader.c b/dlls/wined3d/arb_program_shader.c
index ff64626..0808a01 100644
--- a/dlls/wined3d/arb_program_shader.c
+++ b/dlls/wined3d/arb_program_shader.c
@@ -1921,6 +1921,11 @@ static void shader_arb_select(IWineD3DDevice *iface, BOOL usePS, BOOL useVS) {
             checkGLcall("glEnable(GL_FRAGMENT_PROGRAM_ARB);");
         }
         TRACE("(%p) : Bound fragment program %u and enabled GL_FRAGMENT_PROGRAM_ARB\n", This, priv->current_fprogram_id);
+
+        /* Force constant reloading for the NP2 fixup (see comment in shader_glsl_select for more info) */
+        if (priv->current_np2fixup) {
+            This->shader_backend->shader_load_np2fixup_constants(iface, usePS, useVS);
+        }
     } else if(GL_SUPPORT(ARB_FRAGMENT_PROGRAM) && !priv->use_arbfp_fixed_func) {
         /* Disable only if we're not using arbfp fixed function fragment processing. If this is used,
          * keep GL_FRAGMENT_PROGRAM_ARB enabled, and the fixed function pipeline will bind the fixed function
-- 
1.6.0.6

